import QtQuick 1.1
import com.nokia.meego 1.0
import "x3m.js" as B

Page
{
    id: aboutPage
    orientationLock: PageOrientation.Automatic;
    tools: commonTools

    Header {
        id: h
        text: qsTr("Contact Radio Javan")
    }

    Flickable {
        anchors.top: h.bottom
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.rightMargin: B.DEFAULT_MARGIN
        anchors.leftMargin: B.DEFAULT_MARGIN
        contentHeight: c.height
        clip: true;

        Column {
            id: c;
            spacing: 32;

            anchors.horizontalCenter: parent.horizontalCenter

            Text {
                text: qsTr("ver:2016.6.11")
                wrapMode: Text.WordWrap
                font.pixelSize: 24
                color: "white"
                width: parent.width
            }


            Text {                
                text: qsTr("");
                verticalAlignment: Text.AlignVCenter
                font.pixelSize: 28
                wrapMode: Text.WordWrap
                color: "white"
                width: parent.width
            }

            Button { text: qsTr("call"); onClicked: { Qt.openUrlExternally("callto:0018887352826") } }
            Button { text: qsTr("website"); onClicked: { Qt.openUrlExternally("http://www.radiojavan.com"); } }

        }
    }
}   