import QtQuick 1.1
import com.nokia.meego 1.0
import "x3m.js" as B

/*
  Equalizer slider

  gain for the frequency band 100 Hz, ranging from -24.0 to +12.0
*/

Column {
    property alias value: eqs.value
    property double resetTo: 0;
    property double v_min: -24;   
    property double v_max: 12;
    property bool showValue: false;

    id: scc
    width: 48;
    spacing: B.SMALL_MARGIN

    Button {
        width: 48;
        height: 48;
        iconSource: 'image://theme/icon-m-toolbar-up'
        onClicked: eqs.value+=0.1
    }

    Slider {
        id: eqs
        width: parent.width;
        maximumValue: v_max;
        minimumValue: v_min;
        height: 320;
        stepSize: 0.1;
        orientation: Qt.Vertical
        valueIndicatorVisible: false
    }

    Button {
        width: 48;
        height: 48;
        iconSource: 'image://theme/icon-m-toolbar-down'
        onClicked: eqs.value-=0.1
    }

    Label {
        visible: showValue
        id: eqv;
        text: eqs.value;
    }

    function reset()
    {
        eqs.value=resetTo;
    }
}
