import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.1
import "x3m.js" as B

Page
{
    id: equalizerPage
    tools: commonTools
    orientationLock: PageOrientation.LockPortrait;

    property alias eq0: eb0.value;
    property alias eq1: eb1.value;
    property alias eq2: eb2.value;

    property double eq_min: -24.0;
    property double eq_max: 12.0;

    Header {
        id: h
        text: qsTr("Equalizer");
    }

    Column {
        id: cs
        anchors.top: h.bottom
        anchors.bottom: parent.bottom
        anchors.left: parent.left;
        anchors.right: parent.right
        anchors.topMargin: B.SMALL_MARGIN
        anchors.leftMargin: B.DEFAULT_MARGIN
        anchors.rightMargin: B.DEFAULT_MARGIN
        spacing: B.SMALL_MARGIN

        Row {
            spacing: B.DEFAULT_MARGIN*4
            anchors.leftMargin: B.DEFAULT_MARGIN
            anchors.rightMargin: B.DEFAULT_MARGIN
            anchors.horizontalCenter: parent.horizontalCenter

            EqSlider {
                id: eb0;
                v_max: eq_max;
                v_min: eq_min;
            }
            EqSlider {
                id: eb1;
                v_max: eq_max;
                v_min: eq_min;
            }
            EqSlider {
                id: eb2;
                v_max: eq_max;
                v_min: eq_min;
            }
        }

        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: qsTr("Reset EQ");
            onClicked: {
                eb0.reset();
                eb1.reset();
                eb2.reset();
            }
        }
    }
}
