import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.0
import org.tal.gconf.item 1.0
import "x3m.js" as B

Page {
    id: mainPage;
    orientationLock: PageOrientation.LockPortrait;

    property bool isBg: !platformWindow.active;

    tools: commonTools

    Component.onCompleted: {
        theme.inverted=true;
    }

    Header {
        id: h
        text: "Radio Javan"
    }

    Flickable {
        id: flick;
        clip: true
        contentHeight: cFlick.height
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: h.bottom;
        anchors.bottom: aCol.top;
        anchors.topMargin: 8;
        anchors.bottomMargin: 8;

        Column {
            id: cFlick
            anchors.left: parent.left;
            anchors.right: parent.right;
            // anchors.top: h.bottom;

            SongInfo {
                id: songinfo
                enabled: rPlayer.playing;
            }

            BusyIndicator {
                anchors.horizontalCenter: parent.horizontalCenter
                visible: running;
                running: songinfo.fetching;
            }
        }
    }

    ScrollDecorator {
        flickableItem: flick
    }

    Column {
        id: aCol
        width: parent.width
        anchors.margins: B.DEFAULT_MARGIN
        anchors.bottom: parent.bottom;
        spacing: B.DEFAULT_MARGIN

        Text {
            text: progressText(rPlayer.connecting, rPlayer.buffering, rPlayer.playing);
            color: "white"
            // visible: rPlayer.playing || rPlayer.connecting || rPlayer.buffering
            anchors.horizontalCenter: parent.horizontalCenter
            font.pixelSize: 32

            function progressText(c,b,p) {
                if (c)
                    return qsTr("Connecting...");
                if (b)
                    return qsTr("Buffering...");
                if (p)
                    return qsTr("Playing...")
                return '';
            }
        }

        ProgressBar {
            width: parent.width/2
            anchors.horizontalCenter: parent.horizontalCenter
            indeterminate: !rPlayer.buffering;
            value: rPlayer.bufferpercent
            minimumValue: 0;
            maximumValue: 100;
            visible: rPlayer.buffering || rPlayer.connecting;
        }

        Slider {
            id: pVolume
            //visible: rPlayer.playing;
            anchors.horizontalCenter: parent.horizontalCenter
            width: parent.width-42;
            maximumValue: 1.0;
            minimumValue: 0.0;
            height: 32;
            stepSize: 0.1;
            orientation: Qt.Horizontal
            valueIndicatorVisible: true
            value: rPlayer.volume
            onValueChanged: {
                // rPlayer.volume=value;
                gconfVolume.value=value;
            }
        }
    }
} 