import QtQuick 1.1
import com.nokia.meego 1.0

ToolBarLayout {
    id: commonTools
    visible: true

    ToolIcon {
        id: backButton
        iconId: "toolbar-back";
        visible: pageStack.depth>1;
        onClicked: { pageStack.pop(); }
    }

    ToolIcon {
        iconId: (rPlayer.playing || rPlayer.connecting) ? "toolbar-mediacontrol-stop" : "toolbar-mediacontrol-play"
        anchors.horizontalCenter: parent.horizontalCenter
        onClicked: {
            if (rPlayer.playing || rPlayer.connecting) {
                rPlayer.stop();
            } else {
                if (!rPlayer.connected)
                    rPlayer.connect();
                rPlayer.play();
            }
        }
    }

    ToolIcon {
        platformIconId: "toolbar-view-menu"
        anchors.right: (parent === undefined) ? undefined : parent.right
        onClicked: (mainMenu.status === DialogStatus.Closed) ? mainMenu.open() : mainMenu.close()
        visible: !backButton.visible
    }
}
