import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.0
import "x3m.js" as B

Page
{
    id: programPage
    orientationLock: PageOrientation.Automatic;
    tools: commonTools

    Header {
        id: h
        text: "Program"
    }



    DatePickerDialog {
        minimumYear: 2013;
    }

    ListModel {
        id: programModel

    }

    Component {
        id: programDelegate
        Row {
            spacing: 12
            width: parent.width;
            anchors.horizontalCenter: parent.horizontalCenter
            Text { text: name; color: "white"; font.pixelSize: 32; width: parent.width/2 }
            Text { text: date; horizontalAlignment: Text.AlignRight; color: "white"; font.pixelSize: 32; width: parent.width/3}
        }
    }

    ListView {
        anchors.bottom: parent.bottom
        anchors.top: h.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.topMargin: B.DEFAULT_MARGIN
        anchors.leftMargin: B.DEFAULT_MARGIN
        anchors.rightMargin: B.DEFAULT_MARGIN
        spacing: 16
        clip: true
        model: programModel
        delegate: programDelegate
    }

}

