import QtQuick 1.1
import com.nokia.meego 1.0
import "x3m.js" as B

Page
{
    id: freqPage
    orientationLock: PageOrientation.Automatic;
    tools: commonTools

    Header {
        id: h
        text: "X3M Freq"
    }

    ListModel {
        id: freqModel
        ListElement { name: "Björneborg"; freq: "99.4"}
        ListElement { name: "Borgå"; freq: "102.2"}
        ListElement { name: "Ekenäs"; freq: "102.5"}
        ListElement { name: "Helsingfors"; freq: "98.9"}
        ListElement { name: "Kristinestad"; freq: "98.6"}
        ListElement { name: "Kronoby"; freq: "99.7"}
        ListElement { name: "Vasa"; freq: "97.3"}
        ListElement { name: "Åbo"; freq: "98.2"}
        ListElement { name: "Åland"; freq: "104.9"}
    }

    Component {
        id: freqDelegate
        Row {
            spacing: 12
            width: parent.width;
            anchors.horizontalCenter: parent.horizontalCenter
            Text { text: name; color: "white"; font.pixelSize: 32; width: parent.width/2 }
            Text { text: freq+' Mhz'; horizontalAlignment: Text.AlignRight; color: "white"; font.pixelSize: 32; width: parent.width/3}
        }
    }

    ListView {
        anchors.bottom: parent.bottom
        anchors.top: h.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.topMargin: B.DEFAULT_MARGIN
        anchors.leftMargin: B.DEFAULT_MARGIN
        anchors.rightMargin: B.DEFAULT_MARGIN
        spacing: 16
        clip: true
        model: freqModel
        delegate: freqDelegate
    }

}

