import QtQuick 1.1

XmlListModel {
    id: songInfoModel
    // source: "http://208.85.241.142"
    query: ""

    property int infoIndex: 0;
    property variant songData: true;

    property bool loading: false;

    signal updated();
    signal empty();

    XmlRole { name: "title"; query: "@TITLE/string()" }
    XmlRole { name: "performer"; query: "@PERFORMER/string()" }
    XmlRole { name: "vocalist"; query: "@VOCALIST/string()" }
    XmlRole { name: "start"; query: "@STARTING_TIME/string()" }
    XmlRole { name: "duration"; query: "PUBLISH-DATA/@DURATION/string()"; }
    XmlRole { name: "program"; query: "@PLAYOUT_PROGRAMME_NAME/string()"; }

    function reloadSongInfo__old() {
        // work around for a 404 redirect fucking it up
        songInfoModel.source="Amir Tataloo-Parastoo";
        songInfoModel.source="http://208.85.241.142";
        songInfoModel.reload();
    }

    function reloadSongInfo()
    {
        loading=true;
        var doc = new XMLHttpRequest();
        var url="http://208.85.241.142";

        doc.onreadystatechange = function() {
                    if (doc.readyState === XMLHttpRequest.DONE && doc.status===200) {
                        // console.debug(doc.responseText);
                        songInfoModel.xml=doc.responseText;
                    }
                    if (doc.readyState === XMLHttpRequest.DONE)
                        loading=false;
                }
        doc.open("GET", url);       
        doc.send();
    }

    onLoadingChanged: console.debug("Loading: "+loading)

    onStatusChanged: {
        console.debug("MS: "+status);
        // console.debug("Source: "+source)
        if (status==XmlListModel.Ready) {
            console.debug("MSC: "+count);
            if (count===0) {
                songData=null;
                empty();
                return;
            }

            var data=songInfoModel.get(0);
            songData=data;           

            updated();
        } else if (status==XmlListModel.Error) {
            console.debug("MSError")
            songData=null;
            empty();
        }
    }
}   