.pragma library

var VERSION="1.0.0"

var FONT_LSMALL=22;
var FONT_DEFAULT=24;
var FONT_SLARGE=26;
var FONT_XLARGE=32;

var SMALL_MARGIN=8
var DEFAULT_MARGIN=16
var LARGE_MARGIN=8

var HEADER_DEFAULT_HEIGHT_PORTRAIT = 72;
var HEADER_DEFAULT_HEIGHT_LANDSCAPE = 46;

var URL_BASE="http://ylex.yle.fi/";

var STREAM_QUALITY_LOW = "http://208.85.241.142/";
var STREAM_QUALITY_MEDIUM = "http://208.85.241.142/";
var STREAM_QUALITY_HIGH = "http://208.85.241.142/";

function getRssNews() { return URL_BASE+RSS_NEWS; }

function getStreamUrl(sq)
{
    console.debug("GSU"+sq)
    switch (sq) {
    case 1:
        return STREAM_QUALITY_LOW;
    case 2:
        return STREAM_QUALITY_MEDIUM;
    case 3:
        return STREAM_QUALITY_HIGH;
    default:
        return STREAM_QUALITY_MEDIUM;
    }
}

function getSongData(cb)
{    
    var doc = new XMLHttpRequest();

    doc.onreadystatechange = function() {
                if (doc.readyState === XMLHttpRequest.HEADERS_RECEIVED) {
                    console.debug(doc.getAllResponseHeaders ());
                } else if (doc.readyState === XMLHttpRequest.DONE) {
                    var i, tmp, jo;
                    console.debug("*********************************************");
                    console.debug(doc.responseText);
                    console.debug("*********************************************");
                    try {
                        jo=JSON.parse(doc.responseText);
                        cb(jo, true);
                    } catch(e) {
                        console.debug('Failed to parse song data:'+e.message);
                        cb(jo, false);
                    }
                }
            }

    doc.open("GET", URL_SONGDATA);
    doc.send();
}

function getProgramDataUrl(d)
{
    return "http://yle.fi/ohjelmat/radio/extrem/"+d.getFullYear()+"-"+(d.getMonth()+1)+"-"+d.getDate()+".json";
}

function getProgramData(cb)
{
    var doc = new XMLHttpRequest();
    var url;

    url=getProgramDataUrl(new Date());

    doc.onreadystatechange = function() {
                if (doc.readyState === XMLHttpRequest.HEADERS_RECEIVED) {
                    console.debug(doc.getAllResponseHeaders ());
                } else if (doc.readyState === XMLHttpRequest.DONE) {
                    var i, tmp, jo;

                    console.debug(doc.responseText);

                    try {
                        jo=JSON.parse(tmp);
                        cb(jo, true);
                    } catch(e) {
                        console.debug('Failed to parse program data:'+e.message);
                        cb(jo, false);
                    }
                }
            }

    doc.open("GET", url);
    doc.send();
}
